Package org.eclipse.equinox.http.registry.internal

# Class HttpServiceTracker.HttpContextExtensionServiceFactory

java.lang.Object
org.eclipse.equinox.http.registry.internal.HttpServiceTracker.HttpContextExtensionServiceFactory

All Implemented Interfaces:
  `ServiceFactory<HttpContextExtensionService>`

Enclosing class:
  HttpServiceTracker

public class HttpServiceTracker.HttpContextExtensionServiceFactory extends Object implements ServiceFactory<HttpContextExtensionService>

## Constructor Summary

Constructors
Constructor
Description
`HttpContextExtensionServiceFactory()`

## Method Summary

Modifier and Type
Method
Description
`HttpContextExtensionService`
`getService(Bundle bundle, ServiceRegistration<HttpContextExtensionService> r)`
`void`
`ungetService(Bundle bundle, ServiceRegistration<HttpContextExtensionService> r, HttpContextExtensionService service)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpContextExtensionServiceFactory

public HttpContextExtensionServiceFactory()

## Method Details

### getService

public HttpContextExtensionService getService(Bundle bundle, ServiceRegistration<HttpContextExtensionService> r)

Specified by:
  `getService` in interface `ServiceFactory<HttpContextExtensionService>`

### ungetService

public void ungetService(Bundle bundle, ServiceRegistration<HttpContextExtensionService> r, HttpContextExtensionService service)

Specified by:
  `ungetService` in interface `ServiceFactory<HttpContextExtensionService>`